org.eclipse.wst.jsdt.launching

## Class StandardVM

- java.lang.Object
- - org.eclipse.wst.jsdt.launching.AbstractVMInstall
  - - org.eclipse.wst.jsdt.launching.StandardVM

All Implemented Interfaces:
  IVMInstall, IVMInstall2, IVMInstall3

    public class StandardVM
    extends AbstractVMInstall

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getJavaVersion()` Returns a string representing the `java.version` system property of this VM install, or `null` if unknown.
`IVMRunner` `getVMRunner(java.lang.String mode)` Returns a VM runner that runs this installed VM in the given mode.

### Methods inherited from class org.eclipse.wst.jsdt.launching.AbstractVMInstall

`abort, equals, getId, getInstallLocation, getJavadocLocation, getLibraryLocations, getName, getVMArgs, getVMArguments, getVMInstallType, hashCode, setInstallLocation, setJavadocLocation, setLibraryLocations, setName, setNotify, setVMArgs, setVMArguments`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getVMRunner

    public IVMRunner getVMRunner(java.lang.String mode)

Description copied from interface: `IVMInstall`
Returns a VM runner that runs this installed VM in the given mode.

Specified by:
  `getVMRunner` in interface `IVMInstall`
Overrides:
  `getVMRunner` in class `AbstractVMInstall`
Parameters:
  `mode` - the mode the VM should be launched in; one of the constants declared in `org.eclipse.debug.core.ILaunchManager`
Returns:
  a VMRunner for a given mode May return `null` if the given mode is not supported by this VM.
See Also:
  `org.eclipse.debug.core.ILaunchManager`

#### getJavaVersion

    public java.lang.String getJavaVersion()

Description copied from interface: `IVMInstall2`
Returns a string representing the `java.version` system property of this VM install, or `null` if unknown.

Specified by:
  `getJavaVersion` in interface `IVMInstall2`
Overrides:
  `getJavaVersion` in class `AbstractVMInstall`
Returns:
  a string representing the `java.version` system property of this VM install, or `null` if unknown.